from enum import Enum


class SignatureStatus(Enum):
    UNKNOWN = 0
    SIGNED_AND_VERIFIED = 1
    NOT_SIGNED = 2
    SIGNED_NOT_VERIFIED = 3  # unauthorized CA
    SIGNED_NOT_TRUSTED = 4
    SIGNED_NOT_ALLOWED = 5
    INVALID_CERTIFICATE = 6
